#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include "sgl+.h"

#define stepmax 1000.
#define Lx   640
#define Ly   480

int main(int argc, char *argv[])
{
  int i,j,step;
  int blue,red ;

  int green, lightgrey, midnightblue, yellow ;

  char string1[10];
  char string2[128];
  char string3[10];
  float Phi[Lx][Ly];
  
  sgl_winsize(Lx,Ly);
  sgl_init();
  blue = sgl_colordef("blue");
  red  = sgl_colordef("red");

  green = sgl_colordef("green");
  lightgrey = sgl_colordef("lightgrey") ;
  midnightblue = sgl_colordef("midnightblue") ;
  yellow = sgl_colordef("yellow") ;

  /* sgl_color(SGL_WHITE); */
  sgl_color(SGL_BLACK); 
  sgl_color_background(SGL_BLACK);
  
  for(step=0;step<stepmax;step++){
	
    /* for(i=0;i<Lx;i++){	for(j=0;j<Ly;j++){ Phi[i][j]=100; }} */
    
    for(j=0;j<Ly;j++)
    {
      for(i=0;i<Lx;i++)
      {
				Phi[i][j]=2;
      }
    }
    for(j=48;j<432;j++)
    {
      for(i=128;i<512;i++)
      {
				Phi[i][j]=(float)i/Lx;
      }
    }
    //sgl_2D_scalar_field( *Phi ,lightgrey, midnightblue);
    sgl_2D_scalar_field( *Phi ,yellow, midnightblue);
    /*-----------------------------------------------------------------*/
    sprintf(string3,"Step");
    sprintf(string1,"%5.d",step );
    
    /* strcpy(string2,"6x10"); */
    /* strcpy(string2,"clB8x14"); */
    
    sgl_color(red);
    
    sgl_text2(0.85,0.90,string3,"A2");
    sgl_text2(0.85,0.80,string1,"A0");
    sgl_text2(0.85,0.70,string1,"A1");
    sgl_text2(0.85,0.60,string1,"A2");
    sgl_text2(0.85,0.50,string1,"A3");
    sgl_text2(0.85,0.40,string1,"A4");
    sgl_text2(0.85,0.30,string1,"A5");
    sgl_text2(0.85,0.20,string1,"A6");
    
    sgl_text2(0.75,0.90,string3,"B2");
    sgl_text2(0.75,0.80,string1,"B0");
    sgl_text2(0.75,0.70,string1,"B1");
    sgl_text2(0.75,0.60,string1,"B2");
    sgl_text2(0.75,0.50,string1,"B3");
    sgl_text2(0.75,0.40,string1,"B4");
    sgl_text2(0.75,0.30,string1,"B5");
    sgl_text2(0.75,0.20,string1,"B6");
    
    sgl_text2(0.65,0.90,string3,"C2");
    sgl_text2(0.65,0.80,string1,"C0");
    sgl_text2(0.65,0.70,string1,"C1");
    sgl_text2(0.65,0.60,string1,"C2");
    sgl_text2(0.65,0.50,string1,"C3");
    sgl_text2(0.65,0.40,string1,"C4");
    sgl_text2(0.65,0.30,string1,"C5");
    sgl_text2(0.65,0.20,string1,"C6");
    
    sgl_text2(0.55,0.90,string3,"D2");
    sgl_text2(0.55,0.80,string1,"D0");
    sgl_text2(0.55,0.70,string1,"D1");
    sgl_text2(0.55,0.60,string1,"D2");
    sgl_text2(0.55,0.50,string1,"D3");
    sgl_text2(0.55,0.40,string1,"D4");
    sgl_text2(0.55,0.30,string1,"D5");
    sgl_text2(0.55,0.20,string1,"D6");
    
    sgl_text2(0.45,0.90,string3,"E2");
    sgl_text2(0.45,0.80,string1,"E0");
    sgl_text2(0.45,0.70,string1,"E1");
    sgl_text2(0.45,0.60,string1,"E2");
    sgl_text2(0.45,0.50,string1,"E3");
    sgl_text2(0.45,0.40,string1,"E4");
    sgl_text2(0.45,0.30,string1,"E5");
    sgl_text2(0.45,0.20,string1,"E6");
    
    sgl_text2(0.35,0.90,string3,"F2");
    sgl_text2(0.35,0.80,string1,"F0");
    sgl_text2(0.35,0.70,string1,"F1");
    sgl_text2(0.35,0.60,string1,"F2");
    sgl_text2(0.35,0.50,string1,"F3");
    sgl_text2(0.35,0.40,string1,"F4");
    sgl_text2(0.35,0.30,string1,"F5");
    sgl_text2(0.35,0.20,string1,"F6");
    
    sgl_text2(0.25,0.90,string3,"G2");
    sgl_text2(0.25,0.80,string1,"G0");
    sgl_text2(0.25,0.70,string1,"G1");
    sgl_text2(0.25,0.60,string1,"G2");
    sgl_text2(0.25,0.50,string1,"G3");
    sgl_text2(0.25,0.40,string1,"G4");
    sgl_text2(0.25,0.30,string1,"G5");
    sgl_text2(0.25,0.20,string1,"G6");
    
    sgl_text2(0.15,0.90,string3,"H2");
    sgl_text2(0.15,0.80,string1,"H0");
    sgl_text2(0.15,0.70,string1,"H1");
    sgl_text2(0.15,0.60,string1,"H2");
    sgl_text2(0.15,0.50,string1,"H3");
    sgl_text2(0.15,0.40,string1,"H4");
    sgl_text2(0.15,0.30,string1,"H5");
    sgl_text2(0.15,0.20,string1,"H6");

    sgl_text2(0.5,0.90,string3,"I2");
    sgl_text2(0.5,0.80,string1,"I0");
    sgl_text2(0.5,0.70,string1,"I1");
    sgl_text2(0.5,0.60,string1,"I2");
    sgl_text2(0.5,0.50,string1,"I3");
    sgl_text2(0.5,0.40,string1,"I4");
    sgl_text2(0.5,0.30,string1,"I5");
    sgl_text2(0.5,0.20,string1,"I6");
    
    /* sgl_text(0.8,0.8,string1); */
    /*-----------------------------------------------------------------*/

    sgl_display();
    if( step%1 == 0 )
    { 
      printf("Now Writing\n");
      /* sgl_window2ppm(); */
    }
    step++;
  }
  i=getchar();
}
