#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <sgl+.h>

#define tmax 1000.
#define dt   0.1
#define vx   0.3
#define vy   0.1
#define x0   0.15
#define y0   0.85
#define r    0.02

int main(int argc, char *argv[]){
  
  int i;
  float x,y,t,dx,dy,xb,yb;
  
  
  sgl_winsize(500,500);
  sgl_init();
  

  x=x0;
  y=y0;
  xb=x0;
  yb=y0;
  dx=vx*dt;
  dy=vy*dt;

  for(t=0;t<tmax;t+=dt)
  {
    x+=dx;
    y+=dy;
    
    if(x<=0. || x>=1. ) dx=-dx;
    if(y<=0. || y>=1. ) dy=-dy;

    if( (x-0.25)*(xb-0.25) <= 0 && (y>=0.25 && y<=0.75) )
    {
      x=0.5-x;
      dx=-dx;
      printf("1\n");
    }
    else if( (x-0.75)*(xb-0.75) <= 0 && (y>=0.25 && y<=0.75) )
    {
      x=1.5-x;
      dx=-dx;
      printf("2\n");
    }
    else if( (y-0.25)*(yb-0.25) <= 0 && (x>=0.25 && x<=0.75) )
    {
      y=0.5-y;
      dy=-dy;
      printf("3\n");
    }
    else if( (y-0.75)*(yb-0.75) <= 0 && (x>=0.25 && x<=0.75) )
    {
      y=1.5-y;
      dy=-dy;
      printf("4\n");
    }
    
    printf("( %f , %f ) \n",x,y);
    
    sgl_disc(x,y,r);
    
    sgl_rectangle(0.0,0.01,0.99,0.99);
    sgl_rectangle(0.25,0.25,0.5,0.5);
    sgl_display();
    
    xb=x;
    yb=y;
  }
  
  i=getchar();

}
